Bug 170254 - CAN-2005-3120 lynx buffer overflow
CAN-2005-3120 lynx buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lynx (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Tim Waugh
Brian Brock
reported=20051008,embargo=20051017,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 05:23 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 05:23:12 EDT
Note that FORTIFY_SOURCE as lynx is compiled with in FC4, does not block this
vulnerability.  Also affects FC3.  See bz#170253 for proposed patch.

+++ This bug was initially created as a clone of Bug #170253 +++

Ulf Harnhammar found a flaw in Lynx that can be triggered when Lynx connects to
a NNTP server.  A malicious news server could cause a buffer overflow, leading
to the potential of arbitrary code execution as the user running lynx.  This
issue requires a victim connects to the malicious news server, however this
could be forced by a redirect from any malicious web page.

Embargo set for 20051017

-- Additional comment from mjc@redhat.com on 2005-10-10 05:20 EST --
Created an attachment (id=119760)
Proposed patch from Thomas Dickey for lynx 2.8.6dev.14
Comment 1 Mark J. Cox (Product Security) 2005-10-17 07:26:38 EDT
public, removing embargo.
Comment 2 Mark J. Cox (Product Security) 2005-10-25 07:46:26 EDT
FEDORA-2005-993
FEDORA-2005-994

Note You need to log in before you can comment on or make changes to this bug.